Index: src/client_side.c
===================================================================
RCS file: /cvsroot/squid/squid/src/client_side.c,v
retrieving revision 1.132
diff -u -r1.132 client_side.c
--- src/client_side.c	8 Jul 2006 13:51:25 -0000	1.132
+++ src/client_side.c	12 Jul 2006 04:30:44 -0000
@@ -1461,8 +1461,6 @@
     }
     if (http->conn->port->no_connection_auth)
 	request->flags.no_connection_auth = 1;
-    if (Config.onoff.pipeline_prefetch)
-	request->flags.no_connection_auth = 1;
 
     /* ignore range header in non-GETs */
     if (request->method == METHOD_GET) {
@@ -1935,7 +1933,7 @@
 			continue;
 		    }
 		    request->flags.must_keepalive = 1;
-		    if (!request->flags.accelerated) {
+		    if (!request->flags.accelerated && !request->flags.transparent) {
 			httpHeaderPutStr(hdr, HDR_PROXY_SUPPORT, "Session-Based-Authentication");
 			httpHeaderPutStr(hdr, HDR_CONNECTION, "Proxy-support");
 		    }
Index: src/main.c
===================================================================
RCS file: /cvsroot/squid/squid/src/main.c,v
retrieving revision 1.64
diff -u -r1.64 main.c
--- src/main.c	30 Jun 2006 21:52:14 -0000	1.64
+++ src/main.c	12 Jul 2006 04:30:45 -0000
@@ -37,6 +37,8 @@
 #ifdef LINUX_TPROXY
 #include <linux/capability.h>
 #include <sys/prctl.h>
+#undef __FD_SETSIZE
+#define __FD_SETSIZE SQUID_MAXFD
 #endif
 
 #if defined(USE_WIN32_SERVICE) && defined(_SQUID_WIN32_)

